Guest

Cisco Unified Intelligent Contact Management Enterprise

Patching the ICM PG PIM for Compatibility with Nortel Symposium ACD v3.0

Cisco - Patching the ICM PG PIM for Compatibility with Nortel Symposium ACD v3.0

Document ID: 20542

Updated: May 18, 2005

   Print

Introduction

This document describes the procedure for patching a Cisco Intelligent Contact Management (ICM) Peripheral Gateway (PG) to work with a Nortel Symposium Automatic Call Distributor (ACD) that has been upgraded to version 3.0.

Before You Begin

Conventions

For more information on document conventions, see the Cisco Technical Tips Conventions.

Prerequisites

There are no specific prerequisites for this document.

Components Used

The information in this document is based on the software and hardware versions below.

  • Cisco ICM version 4.1 Service Pack 1

  • Nortel Symposium version 1.5 or 3.0

The information presented in this document was created from devices in a specific lab environment. All of the devices used in this document started with a cleared (default) configuration. If you are working in a live network, ensure that you understand the potential impact of any command before using it.

If You Have Not Upgraded Symposium from Version 1.5 to Version 3.0

Follow the instructions below if you have not upgraded Symposium from version 1.5 to version 3.0:

  1. Determine a safe time to do the upgrade. This is usually during a maintenance window, such as a time when the contact center is closed.

  2. Stop the Symposium PG Services using Cisco ICM Service Control.

  3. If nbnmsrvc.exe is running on the PC on which the Symposium PG runs, end the process (by opening a command prompt and using the command kill nbnmsrvc.exe).

    Please refer to How to Use the Kill Utility if you are uncertain of its usage.

  4. Exit from Cisco ICM Service Control and any other Cisco ICM tools.

  5. Upgrade the Symposium ACD to version 3.0 using a Nortel approved procedure.

  6. Install the Nortel communication execution environment on the PC the Symposium PG is running, as described in the Nortel document "Host Data Exchange API Programmer's Guide," version 3.0.

    When running the Nortel setup program, specify that you want to install both Host Data Exchange (HDX) and Real Time Display (RTD), and specify ANSI, not Unicode. The Nortel setup software is located on the Symposium Call Center Server version 3.0 Client Installation CD-ROM.

    When this is complete, proceed to the next section.

If You Have Already Upgraded Symposium from Version 1.5 to Version 3.0

Follow the instructions below if you have already upgraded Symposium from version 1.5 to version 3.0:

  1. Obtain Hotfix #46 from the Cisco Technical Assistance Center (TAC).

    Note: The Symposium Peripheral Interface Manager (PIM) does not interface with Symposium 3.0 without applying Hotfix #46.

  2. Restart the computer on which the Symposium PG is running.

  3. Install Hotfix #46 in order to replace the old Nortel version 1.5 DLL files.

    HotFix #46 copies the replacement DLL files into the ICR\Bin directory on the Symposium PG.

  4. When asked to overwrite, click Yes.

  5. Restart the Symposium PG.

    The Symposium PIM should go active. If it does not, open a case with the Cisco Technical Assistance Center.

Related Information

Updated: May 18, 2005
Document ID: 20542